import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:tetrisdual/cubit/game_cubit.dart';
import 'package:tetrisdual/models/game/player.dart';
import 'package:tetrisdual/ui/widgets/game/counter.dart';
import 'package:tetrisdual/ui/widgets/game/submit.dart';

class ManagerWidget extends StatelessWidget {
  const ManagerWidget({super.key, required this.player});

  final Player player;

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<GameCubit, GameState>(
      builder: (BuildContext context, GameState gameState) {
        return Expanded(
          child: Container(
            margin: const EdgeInsets.all(5),
            child: Column(
              mainAxisAlignment: MainAxisAlignment.start,
              crossAxisAlignment: CrossAxisAlignment.center,
              children: gameState.currentGame.currentPlayer == player.playerId
                  ? [
                      CounterWidget(counter: player.counter),
                      SubmitWidget(player: player),
                    ]
                  : [],
            ),
          ),
        );
      },
    );
  }
}
